Changeset 88bb10f


Ignore:
Timestamp:
04/25/2016 07:28:55 PM (5 years ago)
Author:
Bruce Dubbs <bdubbs@…>
Branches:
10.0, 10.1, 11.0, 7.10, 8.0, 8.1, 8.2, 8.3, 8.4, 9.0, 9.1, basic, bdubbs/svn, elogind, nosym, perl-modules, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
7d75fa51
Parents:
01ce9b4f
Message:

Remove obsolete KDE entities in packages.ent.
Update to mlt-6.2.0.
Update to kf5-apps-16.04.0.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@17284 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
21 edited
1 moved

Legend:

Unmodified
Added
Removed
  • archive/add/kate.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY kate-download-http "&kde-download-http;&kde-old-version;/src/kate-&kde-old-version;.tar.xz">
    88  <!ENTITY kate-download-ftp  " ">
    9   <!ENTITY kate-md5sum        "14da162cc650075cfb364fd39e64924d">
    10   <!ENTITY kate-size          "2.6 MB">
    11   <!ENTITY kate-buildsize     "108 MB">
    12   <!ENTITY kate-time          "2.9 SBU">
     9  <!ENTITY kate-md5sum        "bf7e13e6454de354ff6b4f1905179311">
     10  <!ENTITY kate-size          "1.4 MB">
     11  <!ENTITY kate-buildsize     "36 MB">
     12  <!ENTITY kate-time          "3.0 SBU">
    1313]>
    1414
     
    3030    <title>Introduction to Kate</title>
    3131
    32     <para>This package provides two texteditors: Kate and KWrite. Kate is a
    33       powerful programmer's text editor with syntax highlighting for many
    34       programming and scripting languages. KWrite is the lightweight cousin of Kate.</para>
     32    <para>This package provides two text editors: Kate and KWrite. Kate is a
     33    powerful programmer's text editor with syntax highlighting for many
     34    programming and scripting languages. KWrite is the lightweight cousin of
     35    Kate.</para>
    3536
    3637    &lfs79_checked;
  • general.ent

    r01ce9b4f r88bb10f  
    11<!-- $LastChangedBy$ $Date$ -->
    22
    3 <!ENTITY day          "24">                   <!-- Always 2 digits -->
     3<!ENTITY day          "25">                   <!-- Always 2 digits -->
    44<!ENTITY month        "04">                   <!-- Always 2 digits -->
    55<!ENTITY year         "2016">
     
    77<!ENTITY copyholder   "The BLFS Development Team">
    88<!ENTITY version      "&year;-&month;-&day;">
    9 <!ENTITY releasedate  "April 24th &year;">
     9<!ENTITY releasedate  "April 25th &year;">
    1010<!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
    1111<!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
  • introduction/welcome/changelog.xml

    r01ce9b4f r88bb10f  
    4545-->
    4646    <listitem>
     47      <para>April 25th, 2016</para>
     48      <itemizedlist>
     49        <listitem>
     50          <para>[bdubbs] - Remove obsolete KDE entities in packages.ent.</para>
     51        </listitem>
     52        <listitem>
     53          <para>[bdubbs] - Update to mlt-6.2.0. Fixes
     54          <ulink url="&blfs-ticket-root;7753">#7753</ulink>.</para>
     55        </listitem>
     56        <listitem>
     57          <para>[bdubbs] - Update to kf5-apps-16.04.0. Fixes
     58          <ulink url="&blfs-ticket-root;7744">#7744</ulink>.</para>
     59        </listitem>
     60      </itemizedlist>
     61    </listitem>
     62
     63    <listitem>
    4764      <para>April 24th, 2016</para>
    4865      <itemizedlist>
  • kde/kf5-apps/ark5.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY ark5-download-http "&kf5apps-download-http;/ark-&kf5apps-version;.tar.xz">
    88  <!ENTITY ark5-download-ftp  " ">
    9   <!ENTITY ark5-md5sum        "edbcd431486191302a6a506b7c9ab0e6">
    10   <!ENTITY ark5-size          "248 KB">
    11   <!ENTITY ark5-buildsize     "11.7 MB">
    12   <!ENTITY ark5-time          "1.2 SBU">
     9  <!ENTITY ark5-md5sum        "f45b700154712ae6676c922bc59c9c85">
     10  <!ENTITY ark5-size          "888 KB">
     11  <!ENTITY ark5-buildsize     "11.4 MB">
     12  <!ENTITY ark5-time          "1.1 SBU">
    1313]>
    1414
  • kde/kf5-apps/gwenview.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY gwenview5-download-http "&kf5apps-download-http;/gwenview-&kf5apps-version;.tar.xz">
    88  <!ENTITY gwenview5-download-ftp  " ">
    9   <!ENTITY gwenview5-md5sum        "c82fab391765ce803490ea93ddc899ed">
     9  <!ENTITY gwenview5-md5sum        "28a5a9de33f0838a575f9f16491dda05">
    1010  <!ENTITY gwenview5-size          "2.7 MB">
    1111  <!ENTITY gwenview5-buildsize     "20 MB">
  • kde/kf5-apps/kdenlive5.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY kdenlive5-download-http "&kf5apps-download-http;/kdenlive-&kf5apps-version;.tar.xz">
    88  <!ENTITY kdenlive5-download-ftp  " ">
    9   <!ENTITY kdenlive5-md5sum        "768180060ceb067f75c82d19f71e58c5">
    10   <!ENTITY kdenlive5-size          "3.5 MB">
    11   <!ENTITY kdenlive5-buildsize     "42 MB">
    12   <!ENTITY kdenlive5-time          "3.9 SBU">
     9  <!ENTITY kdenlive5-md5sum        "c57ae037598ee76a266d19c850174749">
     10  <!ENTITY kdenlive5-size          "2.9 MB">
     11  <!ENTITY kdenlive5-buildsize     "53 MB">
     12  <!ENTITY kdenlive5-time          "4.4 SBU">
    1313]>
    1414
  • kde/kf5-apps/kmix5.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY kmix5-download-http "&kf5apps-download-http;/kmix-&kf5apps-version;.tar.xz">
    88  <!ENTITY kmix5-download-ftp  " ">
    9   <!ENTITY kmix5-md5sum        "2c92015d8cd8a85748c66e876964960e">
     9  <!ENTITY kmix5-md5sum        "994ae4d462f4c7cca6dd7cc60cfcff24">
    1010  <!ENTITY kmix5-size          "384 KB">
    1111  <!ENTITY kmix5-buildsize     "12 MB">
  • kde/kf5-apps/konsole5.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY konsole5-download-http "&kf5apps-download-http;/konsole-&kf5apps-version;.tar.xz">
    88  <!ENTITY konsole5-download-ftp  " ">
    9   <!ENTITY konsole5-md5sum        "f21d23e1179968c838a4f3289f4fc5bb">
     9  <!ENTITY konsole5-md5sum        "d54292d163644be9744b80c2d3b9c268">
    1010  <!ENTITY konsole5-size          "452 KB">
    1111  <!ENTITY konsole5-buildsize     "11.8 MB">
  • kde/kf5-apps/libkdcraw.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY libkdcraw-download-http "&kf5apps-download-http;/libkdcraw-&kf5apps-version;.tar.xz">
    88  <!ENTITY libkdcraw-download-ftp  " ">
    9   <!ENTITY libkdcraw-md5sum        "40ab050d8ecacbe2b71141ae1d151c62">
     9  <!ENTITY libkdcraw-md5sum        "63385531eecb3ac95ec0009a4b4ead0e">
    1010  <!ENTITY libkdcraw-size          "44 KB">
    11   <!ENTITY libkdcraw-buildsize     "1.3 MB">
     11  <!ENTITY libkdcraw-buildsize     "1.1 MB">
    1212  <!ENTITY libkdcraw-time          "0.1 SBU">
    1313]>
  • kde/kf5-apps/libkexiv2.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY libkexiv2-download-http "&kf5apps-download-http;/libkexiv2-&kf5apps-version;.tar.xz">
    88  <!ENTITY libkexiv2-download-ftp  " ">
    9   <!ENTITY libkexiv2-md5sum        "edff70b3b447b44ae508102968634737">
     9  <!ENTITY libkexiv2-md5sum        "be347663b2dc61727e28b110769c7d06">
    1010  <!ENTITY libkexiv2-size          "64 KB">
    1111  <!ENTITY libkexiv2-buildsize     "3.1 MB">
  • kde/plasma5/plasma-all.xml

    r01ce9b4f r88bb10f  
    8484    <xref linkend="linux-pam"/>,
    8585    <xref linkend="lm_sensors"/>,
    86     <xref linkend="oxygen-icons"/>, and
     86    <xref linkend="oxygen-icons5"/>, and
    8787    <xref linkend="pciutils"/>
    8888  </para>
  • kde/polkit-qt.xml

    r01ce9b4f r88bb10f  
    66
    77  <!ENTITY polkit-qt-download-http "&kde-download-http;apps/KDE4.x/admin/polkit-qt-1-&polkit-qt-version;.tar.bz2">
    8   <!ENTITY polkit-qt-download-ftp  "&kde-download-ftp;apps/KDE4.x/admin/polkit-qt-1-&polkit-qt-version;.tar.bz2">
     8  <!ENTITY polkit-qt-download-ftp  " ">
    99  <!ENTITY polkit-qt-md5sum        "bee71b71c12797e6fc498540a06c829b">
    1010  <!ENTITY polkit-qt-size          "68 KB">
     
    3131
    3232    <para><application>Polkit-Qt</application> provides an API to PolicyKit in
    33     the Qt environment. <!--Its libraries are used by both KDE4 and KF5, but they
    34     must be linked to <xref linkend='qt4'/> and <xref linkend='qt5'/>
    35     respectively. The two versions do not conflict with each other.--> </para>
     33    the Qt environment. </para>
    3634
    3735    &lfs79_checked;
     
    5957    </itemizedlist>
    6058
    61 <!--
    62     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
    63     <itemizedlist spacing='compact'>
    64       <listitem>
    65         <para>Required patch: <ulink
    66         url="&patch-root;/polkit-qt-&polkit-qt-version;-fixes-1.patch"/></para>
    67       </listitem>
    68     </itemizedlist>
    69 -->
    7059    <bridgehead renderas="sect3">Polkit-Qt Dependencies</bridgehead>
    7160
    7261    <bridgehead renderas="sect4">Required</bridgehead>
    7362    <para role="required">
    74     <xref linkend="cmake"/>,
    75     <xref linkend="polkit"/>, and
    76     <!--<xref linkend="qt4"/>--> or <xref linkend="qt5"/>
     63      <xref linkend="cmake"/>,
     64      <xref linkend="polkit"/>, and
     65      <xref linkend="qt5"/>
    7766    </para>
    7867
     
    8473  <sect2 role="installation">
    8574    <title>Installation of Polkit-Qt</title>
    86 <!--
    87     <para>Install the Qt4 based version of <application>Polkit-Qt</application>
    88     by running the following commands:</para>
    8975
    90 <screen><userinput>source /usr/bin/setqt4 &amp;&amp;
    91 
    92 mkdir build &amp;&amp;
    93 cd    build &amp;&amp;
    94 
    95 cmake -DCMAKE_INSTALL_PREFIX=/usr \
    96       -DCMAKE_BUILD_TYPE=Release  \
    97       -DCMAKE_INSTALL_LIBDIR=lib  \
    98       -DUSE_QT4=TRUE              \
    99       -Wno-dev .. &amp;&amp;
    100 make</userinput></screen>
    101 
    102     <para>
    103       This package does not come with a test suite.
    104     </para>
    105 
    106     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
    107 
    108 <screen role="root"><userinput>make install</userinput></screen>
    109 -->
    110     <para>Install <!--the Qt5 based version of --><application>Polkit-Qt</application>
     76    <para>Install <application>Polkit-Qt</application>
    11177    by running the following commands:</para>
    11278
     
    143109      <parameter>-DCMAKE_INSTALL_LIBDIR=lib</parameter>: This switch is
    144110      used to get libraries to install to <filename
    145       class="directory">&kde-dir;/lib</filename> instead of <filename
    146       class="directory">&kde-dir;/lib64</filename> on a 64 bit system.
     111      class="directory">$KF5_PREFIX/lib</filename> instead of <filename
     112      class="directory">$KF5_PREFIX/lib64</filename> on a 64 bit system.
    147113    </para>
    148 <!--
    149     <para>
    150       <parameter>-DUSE_QT4=TRUE</parameter>: This switch is used to ensure
    151       that <application>Qt4</application> version of the library is
    152       built even if <application>Qt5</application> is present.
    153     </para>
    154 -->
     114
    155115  </sect2>
    156116
     
    184144        <term><command>polkit-qt</command></term>
    185145        <listitem>
    186           <para>is a testing utility for polkit-qt-generated build trees.</para>
     146          <para>placeholder.</para>
    187147          <indexterm zone="a-polkit-qt polkit-qt">
    188148            <primary sortas="b-polkit-qt">polkit-qt</primary>
  • lxde/desktop/pcmanfm.xml

    r01ce9b4f r88bb10f  
    8181    <para role="recommended">
    8282      <xref linkend="adwaita-icon-theme"/> or
    83       <xref linkend="oxygen-icons"/> or
     83      <xref linkend="oxygen-icons5"/> or
    8484      <xref linkend="lxde-icon-theme"/>
    8585    </para>
  • lxqt/desktop/pcmanfm-qt.xml

    r01ce9b4f r88bb10f  
    8383    <bridgehead renderas="sect4">Recommended</bridgehead>
    8484    <para role="recommended">
    85       <xref linkend="oxygen-icons"/> or another icon theme (depending on your
     85      <xref linkend="oxygen-icons5"/> or another icon theme (depending on your
    8686      choice, some icons will be missing in several places)
    8787    </para>
  • multimedia/libdriv/mlt.xml

    r01ce9b4f r88bb10f  
    77  <!ENTITY mlt-download-http "&sourceforge-repo2;/projects/mlt/files/mlt-&mlt-version;.tar.gz">
    88  <!ENTITY mlt-download-ftp  " ">
    9   <!ENTITY mlt-md5sum        "60f4c433ccf9fc0175382733add4f092">
    10   <!ENTITY mlt-size          "1.2 MB">
    11   <!ENTITY mlt-buildsize     "65 MB">
    12   <!ENTITY mlt-time          "0.3 SBU">
     9  <!ENTITY mlt-md5sum        "cdbc5d1d686b75dd2b8fd14059bdd9d4">
     10  <!ENTITY mlt-size          "1.3 MB">
     11  <!ENTITY mlt-buildsize     "66 MB">
     12  <!ENTITY mlt-time          "0.4 SBU">
    1313]>
    1414
  • packages.ent

    r01ce9b4f r88bb10f  
    526526<!-- Chapters 28-33 -->                           <!-- stable lt .90 micro version -->
    527527<!ENTITY extra-cmake-modules-version  "5.21.0">
    528 <!ENTITY kde-version                  "15.12.1">
    529 <!ENTITY kde-old-version              "4.14.3">
    530 <!ENTITY kactivities-version          "4.13.3">
    531528<!ENTITY oxygen-icons-version         "15.04.3">
    532529<!ENTITY oxygen-icons5-minor          "5.21">
    533530<!ENTITY oxygen-icons5-version        "&oxygen-icons5-minor;.0">
    534 <!ENTITY ark-version                  "15.04.3">
    535 <!ENTITY kmix-version                 "15.12.1">
    536 <!ENTITY kde-base-artwork-version     "15.08.2">
    537 <!ENTITY kde-apps-version             "15.12.1">  <!-- applies to kde packages -->
    538 <!ENTITY kde-apps2-version            "15.12.3">  <!-- Temp for kde-libs -->
    539 <!ENTITY kde-libs-version             "4.14.18">
    540 <!ENTITY kde-dldir                    "&kde-version;">
    541531<!ENTITY kde-download-http            "http://download.kde.org/stable/">
    542 <!ENTITY kde-download-attic           "http://download.kde.org/Attic/applications">
    543 <!ENTITY kde-download-attic2          "http://download.kde.org/Attic">
    544 <!ENTITY kde-download-ftp             "ftp://ftp.kde.org/pub/kde/stable/">
    545 <!ENTITY kde-dir-var                  "KDE_PREFIX">
    546 <!ENTITY kde-dir                      "$&kde-dir-var;">
    547 <!ENTITY kde-workspace-dir            "15.04.3">
    548 <!ENTITY kde-workspace-version        "4.11.21">
    549 <!ENTITY kde-pim-dir                  "15.04.3">
    550 <!ENTITY kdepim-version               "4.14.10">
    551 <!ENTITY libkexiv2-version            "15.08.2">
    552 <!ENTITY libkdcraw-version            "15.08.2">
    553 <!ENTITY automoc4-version             "0.9.88">
    554532<!ENTITY phonon-version               "4.9.0">
    555533<!ENTITY phonon-backend-gstreamer-version "4.9.0">
    556534<!ENTITY phonon-backend-vlc-version   "0.9.0">
    557 <!ENTITY akonadi-version              "1.13.0">
    558 <!ENTITY attica-version               "0.4.2">
    559 <!ENTITY qimageblitz-version          "0.0.6">
    560 <!ENTITY shared-desktop-ontologies-version "0.11.0">
    561 <!ENTITY grantlee-version             "0.5.1">
    562535<!ENTITY polkit-qt-version            "0.112.0">
    563536<!ENTITY polkit-kde-agent-version     "0.99.0">
     
    571544<!ENTITY kf5-download-ftp      "ftp://ftp.kde.org/pub/kde/stable/frameworks/&kf5-base;/">
    572545
    573 <!ENTITY kf5apps-version       "15.12.3">
     546<!ENTITY kf5apps-version       "16.04.0">
    574547<!ENTITY kf5apps-download-http "http://download.kde.org/stable/applications/&kf5apps-version;/src">
    575548<!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
     
    751724<!ENTITY libvorbis-version            "1.3.5">
    752725<!ENTITY libvpx-version               "1.5.0">
    753 <!ENTITY mlt-version                  "6.0.0">
     726<!ENTITY mlt-version                  "6.2.0">
    754727<!ENTITY opal-version                 "3.10.10">
    755728<!ENTITY opus-version                 "1.1.2">
  • x/icons/icons.xml

    r01ce9b4f r88bb10f  
    3636  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="icon-naming-utils.xml"/>
    3737  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lxde-icon-theme.xml"/>
    38   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="oxygen-icons.xml"/>
    3938  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="oxygen-icons5.xml"/>
    4039
  • x/icons/oxygen-icons5.xml

    r01ce9b4f r88bb10f  
    3131
    3232    <para>The oxygen icons 5 theme is a photo-realistic icon style, with a
    33     high standard of graphics quality. It is very similar to <xref
    34     linkend="oxygen-icons"/> but has been updated slightly for KDE
    35     Frameworks 5 (KF5).
     33    high standard of graphics quality.
    3634    </para>
    3735
  • x/lib/gtk+3.xml

    r01ce9b4f r88bb10f  
    228228        If you have installed a <application>GTK+ 3</application> theme (eg
    229229        <xref linkend="gnome-themes-standard"/>), an icon theme (such as <xref
    230         linkend="oxygen-icons"/>) and/or a font (such as <ulink
     230        linkend="oxygen-icons5"/>) and/or a font (such as <ulink
    231231        url="http://dejavu.sourceforge.net/">DejaVu fonts</ulink>), you can set
    232232        your prefences in <filename>~/.config/gtk-3.0/settings.ini</filename>
  • xsoft/office/gnumeric.xml

    r01ce9b4f r88bb10f  
    8282    <para role="recommended runtime">
    8383       an icon theme such as <xref linkend="adwaita-icon-theme"/>,
    84        <xref linkend="oxygen-icons"/> or
     84       <xref linkend="oxygen-icons5"/> or
    8585       <xref linkend="gnome-icon-theme"/>,
    8686       <xref linkend="x-window-system"/>, and
  • xsoft/other/rxvt-unicode.xml

    r01ce9b4f r88bb10f  
    199199
    200200    <para>For that, you need <xref linkend="desktop-file-utils"/> and at least
    201     one of <xref linkend="gnome-icon-theme"/>, <xref linkend="oxygen-icons"/>
     201    one of <xref linkend="gnome-icon-theme"/>, <xref linkend="oxygen-icons5"/>
    202202    and <xref linkend="lxde-icon-theme"/>. Uncomment the line with
    203203    <quote>StartupNotify=true</quote> if <xref linkend="startup-notification"/>
Note: See TracChangeset for help on using the changeset viewer.